# cedana completion

Generate the autocompletion script for the specified shell

## Synopsis

Generate the autocompletion script for cedana for the specified shell. See each sub-command's help for details on how to use the generated script.

## Options

```
  -h, --help   help for completion
```

## Options inherited from parent commands

```
      --address string      address to use (host:port for TCP, path for UNIX, cid:port for VSOCK)
      --config string       one-time config JSON string (merge with existing config)
      --config-dir string   custom config directory
      --profiling           enable profiling/show profiling data
      --protocol string     protocol to use (TCP, UNIX, VSOCK)
```

## SEE ALSO

* [cedana](/daemon/references/cli/cedana.md) - Root command for Cedana
* [cedana completion bash](/daemon/references/cli/cedana_completion_bash.md) - Generate the autocompletion script for bash
* [cedana completion fish](/daemon/references/cli/cedana_completion_fish.md) - Generate the autocompletion script for fish
* [cedana completion powershell](/daemon/references/cli/cedana_completion_powershell.md) - Generate the autocompletion script for powershell
* [cedana completion zsh](/daemon/references/cli/cedana_completion_zsh.md) - Generate the autocompletion script for zsh


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cedana.ai/daemon/references/cli/cedana_completion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
